## libcue 1.3.0-1maemo0

=== debian/changelog ===
libcue (1.3.0-1maemo0) unstable; urgency=low

  * Package ported to Maemo5.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Mon, 28 Dec 2009 11:37:02 +0100

libcue (1.3.0-1) unstable; urgency=low

  * Initial release. (LP: #377730) (Closes: #529729)

 -- Taylor LeMasurier-Wren <ripps818@gmail.com>  Thu, 21 May 2009 02:46:02 -0500

## libcue 2.2.1

=== CMakeLists.txt ===
SET(PACKAGE libcue)
SET(PACKAGE_NAME libcue)
SET(PACKAGE_VERSION 2.2.1)
SET(PACKAGE_SOVERSION 2)

CMAKE_MINIMUM_REQUIRED(VERSION 2.8 FATAL_ERROR)

PROJECT(libcue C)

include(GNUInstallDirs)


SET(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
ADD_DEFINITIONS(-DPACKAGE_VERSION="${PACKAGE_VERSION}")
ADD_DEFINITIONS(-DPACKAGE_STRING="${PACKAGE_STRING}")

SET (CUE_SOURCES
	cd.c
	cdtext.c
	rem.c
	time.c)

CONFIGURE_FILE(libcue.pc.in libcue.pc @ONLY)
INSTALL(FILES ${CMAKE_BINARY_DIR}/libcue.pc
	DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)

INCLUDE_DIRECTORIES(${CMAKE_SOURCE_DIR})
INCLUDE_DIRECTORIES(${CMAKE_BINARY_DIR}) # for generated files

FIND_PACKAGE(BISON)
FIND_PACKAGE(FLEX)
BISON_TARGET(CueParser
	cue_parser.y
	${CMAKE_BINARY_DIR}/cue_parser.c)
FLEX_TARGET(CueScanner
	cue_scanner.l
	${CMAKE_BINARY_DIR}/cue_scanner.c)
ADD_FLEX_BISON_DEPENDENCY(CueScanner CueParser)

ADD_LIBRARY(cue ${CUE_SOURCES}
	${BISON_CueParser_OUTPUTS}
	${FLEX_CueScanner_OUTPUTS})

SET_TARGET_PROPERTIES (cue
	PROPERTIES VERSION ${PACKAGE_VERSION}
	SOVERSION ${PACKAGE_SOVERSION}
	C_VISIBILITY_PRESET hidden)

INSTALL(TARGETS cue
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
INSTALL(FILES ${CMAKE_SOURCE_DIR}/libcue.h DESTINATION ${CMAKE_INSTALL_INCLUDEDIR})
if(CMAKE_HOST_UNIX)
	INSTALL(DIRECTORY DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/libcue)
	INSTALL(CODE "
	EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} -E create_symlink ../libcue.h
		\$ENV{DESTDIR}/${CMAKE_INSTALL_FULL_INCLUDEDIR}/libcue/libcue.h)
	")
endif(CMAKE_HOST_UNIX)

ENABLE_TESTING()
ADD_EXECUTABLE(standard_cue ${CMAKE_SOURCE_DIR}/t/standard_cue.c)
TARGET_LINK_LIBRARIES(standard_cue cue)

ADD_EXECUTABLE(single_file_idx_00 ${CMAKE_SOURCE_DIR}/t/single_idx_00.c)
TARGET_LINK_LIBRARIES(single_file_idx_00 cue)

ADD_EXECUTABLE(multiple_files ${CMAKE_SOURCE_DIR}/t/multiple_files.c)
TARGET_LINK_LIBRARIES(multiple_files cue)

ADD_EXECUTABLE(noncompliant ${CMAKE_SOURCE_DIR}/t/noncompliant.c)
TARGET_LINK_LIBRARIES(noncompliant cue)

ADD_EXECUTABLE(issue10 ${CMAKE_SOURCE_DIR}/t/issue10.c)
TARGET_LINK_LIBRARIES(issue10 cue)

ADD_EXECUTABLE(99_tracks ${CMAKE_SOURCE_DIR}/t/99_tracks.c)
TARGET_LINK_LIBRARIES(99_tracks cue)

INCLUDE(Dart)

SET(DART_TESTING_TIMEOUT 5)
ADD_TEST(standard_cue_test standard_cue)
ADD_TEST(single_file_idx_00_test single_file_idx_00)
ADD_TEST(multiple_files_test multiple_files)
ADD_TEST(noncompliant_test noncompliant)
ADD_TEST(NAME issue10_test COMMAND issue10 WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/t)
ADD_TEST(NAME 99_tracks_test COMMAND 99_tracks WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/t)


SET(CPACK_PACKAGE_VERSION "${PACKAGE_VERSION}")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${PACKAGE_NAME}-${PACKAGE_VERSION}")
SET(CPACK_SOURCE_GENERATOR "TBZ2")
SET(CPACK_SOURCE_IGNORE_FILES ".*~;\\\\.swp$;/\\\\.git/;build/")
INCLUDE(CPack)

INCLUDE(CheckCSourceCompiles)
check_c_source_compiles("
void log_fn(const char *format, ...) __attribute__ ((format (printf, 1, 2)));
int main(void) { return 0; }
" HAVE_FUNC_ATTRIBUTE_FORMAT)

## libcue 1.4.0

=== debian/changelog ===
libcue (1.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #581521)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Taylor LeMasurier-Wren <ripps818@gmail.com>  Thu, 13 May 2010 12:17:35 -0500

=== debian/control ===
Source: libcue
Section: libs
Priority: optional
Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
Build-Depends: cdbs, debhelper (>= 7), automake, libtool, autotools-dev
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/libcue/

Package: libcue1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CUE Sheet Parser Library
 Libcue is intended to parse a so called cue sheet from a
 char string or a file pointer. For handling of the parsed
 data a convenient API is available.

Package: libcue-dev
Section: libdevel
Architecture: any
Depends: libcue1 (= ${binary:Version}), ${misc:Depends}
Description: CUE Sheet Parser Library - development files
 Libcue is intended to parse a so called cue sheet from a
 char string or a file pointer. For handling of the parsed
 data a convenient API is available.
 .
 This package contains the development files

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

SRC_NAME:=libcue
LIB_NAME:=$(SRC_NAME)1
DEV_NAME:=$(SRC_NAME)-dev
#DEB_AUTO_UPDATE_LIBTOOL:=pre

# remove the empty README
binary-post-install/$(LIB_NAME)::
	rm -f debian/$(LIB_NAME)/usr/share/doc/$(LIB_NAME)/README

binary-post-install/$(DEV_NAME)::
	rm -rf debian/$(DEV_NAME)/usr/share/doc/$(DEV_NAME)
	ln -sf $(LIB_NAME) debian/$(DEV_NAME)/usr/share/doc/$(DEV_NAME)

makebuilddir/libcue1::
#debian/stamp-autotools-files:
	./autogen.sh --prefix=/usr

=== debian/watch ===
version=3

http://sf.net/libcue/libcue-(\d.*)\.tar\.bz2

## libcue 1.4.0-1maemo0

=== debian/changelog ===
libcue (1.4.0-1maemo0) unstable; urgency=low

  * Updated to new upstream version.

 -- Roman Moravcik <roman.moravcik@gmail.com>  Thu,  6 May 2010 15:17:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: libcue
 Section: libs
 Priority: optional
-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
-Build-Depends: cdbs, debhelper (>= 7), automake, libtool, autotools-dev
-Standards-Version: 3.8.4
+Maintainer: Roman Moravcik <roman.moravcik@gmail.com>>
+XSBC-Original-Maintainer: Taylor LeMasurier-Wren <ripps818@gmail.com>
+Build-Depends: cdbs, debhelper (>= 5), automake, libtool, autotools-dev
+Standards-Version: 3.8.1
 Homepage: http://sourceforge.net/projects/libcue/
 
 Package: libcue1
@@ -14,7 +15,7 @@
  char string or a file pointer. For handling of the parsed
  data a convenient API is available.
 
-Package: libcue-dev
+Package: libcue1-dev
 Section: libdevel
 Architecture: any
 Depends: libcue1 (= ${binary:Version}), ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/autotools.mk
+
+DEB_DH_INSTALL_SOURCEDIR=debian/tmp
+DEB_DESTDIR=$(CURDIR)/debian/tmp
 
 SRC_NAME:=libcue
 LIB_NAME:=$(SRC_NAME)1

## libcue 2.2.1

=== debian/changelog ===
libcue (2.2.1-4.1build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:02:12 +0200

libcue (2.2.1-4.1) unstable; urgency=high

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Hideki Yamane ]
  * Add debian/patches/CVE-2023-43641-fix.patch to fix CVE-2023-43641

 -- Hideki Yamane <henrich@debian.org>  Tue, 10 Oct 2023 12:25:32 +0900

libcue (2.2.1-4) unstable; urgency=medium

  * Fixed watch file regex
  * d/rules: remove 'as-needed' flag
  * d/control: added Rules-Requires-Root: no
  * d/control: updated maintainer (Closes: #879868)

 -- Jack Toh <tohc88@outlook.com>  Wed, 20 Apr 2022 20:29:32 +0800

libcue (2.2.1-3) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 04:02:01 +0000

libcue (2.2.1-2) unstable; urgency=medium

  * QA upload.
  * Handle symlink_to_dir conversion of /usr/share/doc/libcue-dev.
    (Closes: #905197)
  * Switch to debhelper-compat (= 11).
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 20 Oct 2018 18:02:39 +0200

libcue (2.2.1-1) unstable; urgency=medium

  * QA upload
  * Orphaning. See bug 879868.
  * New upstream release (Closes: #816966)
  * Update watch file and homepage for upstream move to Github
  * Build-Depend on bison, cmake, and flex
  * Add symbols file
  * Add debian/gbp.conf
  * Set Vcs to https://salsa.debian.org/
  * Switch from cdbs to dh
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4
  * Update library name for soname bump

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 12 May 2018 12:23:27 -0400

=== debian/control ===
Source: libcue
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jack Toh <tohc88@outlook.com>
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               flex
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/debian/libcue
Vcs-Git: https://salsa.debian.org/debian/libcue.git
Homepage: https://github.com/lipnitsk/libcue
Rules-Requires-Root: no

Package: libcue2
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CUE Sheet Parser Library
 Libcue is intended to parse a so called cue sheet from a
 char string or a file pointer. For handling of the parsed
 data a convenient API is available.

Package: libcue-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libcue2 (= ${binary:Version}), ${misc:Depends}
Description: CUE Sheet Parser Library - development files
 Libcue is intended to parse a so called cue sheet from a
 char string or a file pointer. For handling of the parsed
 data a convenient API is available.
 .
 This package contains the development files

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_SHARED_LIBS=ON

override_dh_install:
	find debian/tmp -name '*.a' -print -delete
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

=== debian/watch ===
version=4

https://github.com/lipnitsk/libcue/releases .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
